diff --git a/src/include/snowball/libstemmer/stem_ISO_8859_1_french.h b/src/include/snowball/libstemmer/stem_ISO_8859_1_french.h
index 21244d6162..29321023a2 100644
--- a/src/include/snowball/libstemmer/stem_ISO_8859_1_french.h
+++ b/src/include/snowball/libstemmer/stem_ISO_8859_1_french.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_ISO_8859_1_german.h b/src/include/snowball/libstemmer/stem_ISO_8859_1_german.h
index 8525389227..0887ac8164 100644
--- a/src/include/snowball/libstemmer/stem_ISO_8859_1_german.h
+++ b/src/include/snowball/libstemmer/stem_ISO_8859_1_german.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_ISO_8859_1_italian.h b/src/include/snowball/libstemmer/stem_ISO_8859_1_italian.h
index dccbfd5e97..9e3fcf7f78 100644
--- a/src/include/snowball/libstemmer/stem_ISO_8859_1_italian.h
+++ b/src/include/snowball/libstemmer/stem_ISO_8859_1_italian.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_ISO_8859_1_norwegian.h b/src/include/snowball/libstemmer/stem_ISO_8859_1_norwegian.h
index e09e34e52f..424c8cd468 100644
--- a/src/include/snowball/libstemmer/stem_ISO_8859_1_norwegian.h
+++ b/src/include/snowball/libstemmer/stem_ISO_8859_1_norwegian.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_ISO_8859_1_porter.h b/src/include/snowball/libstemmer/stem_ISO_8859_1_porter.h
index 5c8fd01db1..99bc54ff0d 100644
--- a/src/include/snowball/libstemmer/stem_ISO_8859_1_porter.h
+++ b/src/include/snowball/libstemmer/stem_ISO_8859_1_porter.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_ISO_8859_1_portuguese.h b/src/include/snowball/libstemmer/stem_ISO_8859_1_portuguese.h
index 0279bc94da..e9abc0de5f 100644
--- a/src/include/snowball/libstemmer/stem_ISO_8859_1_portuguese.h
+++ b/src/include/snowball/libstemmer/stem_ISO_8859_1_portuguese.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_ISO_8859_1_spanish.h b/src/include/snowball/libstemmer/stem_ISO_8859_1_spanish.h
index 83f1498403..1e661aacfe 100644
--- a/src/include/snowball/libstemmer/stem_ISO_8859_1_spanish.h
+++ b/src/include/snowball/libstemmer/stem_ISO_8859_1_spanish.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_ISO_8859_1_swedish.h b/src/include/snowball/libstemmer/stem_ISO_8859_1_swedish.h
index 4184e5ca39..5e6f6ac8af 100644
--- a/src/include/snowball/libstemmer/stem_ISO_8859_1_swedish.h
+++ b/src/include/snowball/libstemmer/stem_ISO_8859_1_swedish.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_ISO_8859_2_hungarian.h b/src/include/snowball/libstemmer/stem_ISO_8859_2_hungarian.h
new file mode 100644
index 0000000000..c019a7d456
--- /dev/null
+++ b/src/include/snowball/libstemmer/stem_ISO_8859_2_hungarian.h
@@ -0,0 +1,16 @@
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+extern struct SN_env * hungarian_ISO_8859_2_create_env(void);
+extern void hungarian_ISO_8859_2_close_env(struct SN_env * z);
+
+extern int hungarian_ISO_8859_2_stem(struct SN_env * z);
+
+#ifdef __cplusplus
+}
+#endif
+
diff --git a/src/include/snowball/libstemmer/stem_ISO_8859_2_romanian.h b/src/include/snowball/libstemmer/stem_ISO_8859_2_romanian.h
index 931f269ceb..ef9bd3f3a4 100644
--- a/src/include/snowball/libstemmer/stem_ISO_8859_2_romanian.h
+++ b/src/include/snowball/libstemmer/stem_ISO_8859_2_romanian.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_KOI8_R_russian.h b/src/include/snowball/libstemmer/stem_KOI8_R_russian.h
index de2179d29f..cc58324c66 100644
--- a/src/include/snowball/libstemmer/stem_KOI8_R_russian.h
+++ b/src/include/snowball/libstemmer/stem_KOI8_R_russian.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_danish.h b/src/include/snowball/libstemmer/stem_UTF_8_danish.h
index ed744d454f..71f93155ed 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_danish.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_danish.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_dutch.h b/src/include/snowball/libstemmer/stem_UTF_8_dutch.h
index a99646452b..6af7d0adf3 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_dutch.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_dutch.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_english.h b/src/include/snowball/libstemmer/stem_UTF_8_english.h
index 619a8bc72a..d0ea10ef9f 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_english.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_english.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_finnish.h b/src/include/snowball/libstemmer/stem_UTF_8_finnish.h
index d2f2fd9638..7d07fbaf4a 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_finnish.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_finnish.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_french.h b/src/include/snowball/libstemmer/stem_UTF_8_french.h
index 08e341846d..b19139e538 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_french.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_french.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_german.h b/src/include/snowball/libstemmer/stem_UTF_8_german.h
index 5bd84d431f..2a95132e9f 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_german.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_german.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_hungarian.h b/src/include/snowball/libstemmer/stem_UTF_8_hungarian.h
index d81bd23469..d662a83635 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_hungarian.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_hungarian.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_italian.h b/src/include/snowball/libstemmer/stem_UTF_8_italian.h
index 3bee080d52..4177c3ebf8 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_italian.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_italian.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_norwegian.h b/src/include/snowball/libstemmer/stem_UTF_8_norwegian.h
index c75444bcd9..b155ebb718 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_norwegian.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_norwegian.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_porter.h b/src/include/snowball/libstemmer/stem_UTF_8_porter.h
index 82d469ac45..54efb6f130 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_porter.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_porter.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_portuguese.h b/src/include/snowball/libstemmer/stem_UTF_8_portuguese.h
index 9fe7f9aa81..68dc2554c3 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_portuguese.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_portuguese.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_romanian.h b/src/include/snowball/libstemmer/stem_UTF_8_romanian.h
index d01e8132e2..2cc1ad011d 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_romanian.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_romanian.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_russian.h b/src/include/snowball/libstemmer/stem_UTF_8_russian.h
index 4ef774ddcc..2bc621bff9 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_russian.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_russian.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_spanish.h b/src/include/snowball/libstemmer/stem_UTF_8_spanish.h
index 10572ecc37..075ba876ed 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_spanish.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_spanish.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_swedish.h b/src/include/snowball/libstemmer/stem_UTF_8_swedish.h
index 1444ebb49a..095623db80 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_swedish.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_swedish.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
diff --git a/src/include/snowball/libstemmer/stem_UTF_8_turkish.h b/src/include/snowball/libstemmer/stem_UTF_8_turkish.h
index 8173a17486..7d94a2f9ef 100644
--- a/src/include/snowball/libstemmer/stem_UTF_8_turkish.h
+++ b/src/include/snowball/libstemmer/stem_UTF_8_turkish.h
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #ifdef __cplusplus
 extern "C" {
